Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| xmlgraphics-commons 1.5
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xmlgraphics.image.loader.impl
Class PreloaderEPS.EPSBinaryFileHeader

    java.lang.Object
      org.apache.xmlgraphics.image.loader.impl.PreloaderEPS.EPSBinaryFileHeader

Enclosing class:
  PreloaderEPS

    public static class PreloaderEPS.EPSBinaryFileHeader

extends Object

Holder class for various pointers to the contents of the EPS file.

Constructor Summary
`PreloaderEPS.EPSBinaryFileHeader()`

Method Summary
`long` | `getPSLength()` Returns the length of the PostScript section.
`long` | `getPSStart()` Returns the start offset of the PostScript section.
`long` | `getTIFFLength()` Returns the length of the TIFF preview.
`long` | `getTIFFStart()` Returns the start offset of the TIFF preview.
`long` | `getWMFLength()` Returns the length of the WMF preview.
`long` | `getWMFStart()` Returns the start offset of the WMF preview.
`boolean` | `hasTIFFPreview()` Indicates whether the EPS has a TIFF preview.
`boolean` | `hasWMFPreview()` Indicates whether the EPS has a WMF preview.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PreloaderEPS.EPSBinaryFileHeader

    public PreloaderEPS.EPSBinaryFileHeader()

Method Detail

### getPSStart

    public long getPSStart()

  Returns the start offset of the PostScript section.

  Returns:
    the start offset

### getPSLength

    public long getPSLength()

  Returns the length of the PostScript section.

  Returns:
    the length of the PostScript section (in bytes)

### hasWMFPreview

    public boolean hasWMFPreview()

  Indicates whether the EPS has a WMF preview.

  Returns:
    true if there is a WMF preview

### getWMFStart

    public long getWMFStart()

  Returns the start offset of the WMF preview.

  Returns:
    the start offset (or 0 if there's no WMF preview)

### getWMFLength

    public long getWMFLength()

  Returns the length of the WMF preview.

  Returns:
    the length of the WMF preview (in bytes)

### hasTIFFPreview

    public boolean hasTIFFPreview()

  Indicates whether the EPS has a TIFF preview.

  Returns:
    true if there is a TIFF preview

### getTIFFStart

    public long getTIFFStart()

  Returns the start offset of the TIFF preview.

  Returns:
    the start offset (or 0 if there's no TIFF preview)

### getTIFFLength

    public long getTIFFLength()

  Returns the length of the TIFF preview.

  Returns:
    the length of the TIFF preview (in bytes)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| xmlgraphics-commons 1.5
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2012 The Apache Software Foundation. All Rights Reserved.